/***************************************
 Sunsoft-3 
 update: FIXED CHR dump bug.
 2018-12-06
***************************************/
function cpu_dump(d, prg_size, banksize)
{
	for(local i = 0; i < (prg_size/0x4000)-1; i += 1){
		cpu_write(d, 0xF800, i);
		cpu_read(d, 0x8000, 0x4000);
	}
	cpu_read(d, 0xC000, 0x4000);
}
function ppu_dump(d, chr_size, banksize)
{
	for(local i = 0; i < chr_size/0x800; i+=4){
		cpu_write(d, 0x8800, i|0,0x9800, i|1, 0xA800, i|2, 0xB800, i|3);
		ppu_read(d, 0x0000, 0x2000);
	}
}